hash_hmac
hash_update_file
Fonctions Hash
PHP Manual

# hash_init

(PHP 5 >= 5.1.2, PECL hash >= 1.1)

hash_init — Initialise un contexte de hachage incrémental

### Description

resource hash_init ( string `$algo` [, int `$options`= 0 [, string `$key`= NULL ]] )

### Liste de paramètres

`algo`

  Nom de l'algorithme de hachage sélectionné (c'est-à-dire "md5", "sha256", "haval160,4", etc.)

`options`

  Configurations optionnelles pour la génération du hachage, supporte actuellement seulement une option : `HASH_HMAC`. Lorsque cette option est spécifiée, le paramètre `key` doit être spécifié.

`key`

  Lorsque `HASH_HMAC` est spécifiée pour `options` , une clé secrète partagée qui sera utilisée avec la méthode de hachage HMAC doit être fournie dans ce paramètre.

### Valeurs de retour

Retourne une ressource de Contexte de Hachage pour utilisation avec hash_update(), hash_update_stream(), hash_update_file() et hash_final().

### Exemples

Exemple #1 Exemple de hashage incrémental

`<?php
$ctx = hash_init('md5');
hash_update($ctx, 'Le rapide goupil brun ');
hash_update($ctx, 'sauta par dessus le chien paresseux.');
echo hash_final($ctx);
?>`

L'exemple ci-dessus va afficher :

    2dfe052a8caca3db869ede6ae544cd5d

### Voir aussi

- hash() - Génère une valeur de hachage (empreinte numérique)
- hash_file() - Génère une valeur de hachage en utilisant le contenu d'un fichier donné
- hash_hmac() - Génère une valeur de clé de hachage en utilisant la méthode HMAC
- hash_hmac_file() - Génère une valeur de clé de hachage en utilisant la méthode HMAC et le contenu d'un fichier donné

hash_hmac
hash_update_file
Fonctions Hash
PHP Manual